### Enumeration

# Gio NotificationPriority

since: 2.42

#### Declaration

    enum Gio.NotificationPriority

#### Description [src]

Priority levels for `GNotifications`.

Available since: 2.42

#### Members

Name | Description
--- | ---
`G_NOTIFICATION_PRIORITY_NORMAL` | The default priority, to be used for the majority of notifications (for example email messages, software updates, completed download/sync operations)
`G_NOTIFICATION_PRIORITY_LOW` | For notifications that do not require immediate attention - typically used for contextual background information, such as contact birthdays or local weather.
`G_NOTIFICATION_PRIORITY_HIGH` | For events that require more attention, usually because responses are time-sensitive (for example chat and SMS messages or alarms)
`G_NOTIFICATION_PRIORITY_URGENT` | For urgent notifications, or notifications that require a response in a short space of time (for example phone calls or emergency warnings)